Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.local
Class LocalFileNameParser

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractFileNameParser
          org.apache.commons.vfs.provider.local.LocalFileNameParser

All Implemented Interfaces:
  FileNameParser

Direct Known Subclasses:
  GenericFileNameParser, WindowsFileNameParser

public abstract class LocalFileNameParser
extends AbstractFileNameParser

A name parser.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch

Constructor Summary
`LocalFileNameParser()`

Method Summary
`protected abstract FileName` | `createFileName(String scheme, String rootFile, String path, FileType type)`
`protected abstract String` | `extractRootPrefix(String uri, StringBuffer name)` Pops the root prefix off a URI, which has had the scheme removed.
`boolean` | `isAbsoluteName(String name)` Determines if a name is an absolute file name.
`FileName` | `parseUri(VfsComponentContext context, FileName base, String filename)` parses a String into a filename

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileNameParser
`encodeCharacter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalFileNameParser

    public LocalFileNameParser()

Method Detail

### isAbsoluteName

    public boolean isAbsoluteName(String name)

  Determines if a name is an absolute file name.

### extractRootPrefix

    protected abstract String extractRootPrefix(String uri,
                                                StringBuffer name)
                                         throws FileSystemException

  Pops the root prefix off a URI, which has had the scheme removed.

  Throws:
    `FileSystemException`

### parseUri

    public FileName parseUri(VfsComponentContext context,
                             FileName base,
                             String filename)
                      throws FileSystemException

  Description copied from interface: `FileNameParser`
  parses a String into a filename

  Parameters:
    `base` -
    `filename` -
  Throws:
    `FileSystemException`

### createFileName

    protected abstract FileName createFileName(String scheme,
                                               String rootFile,
                                               String path,
                                               FileType type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.